// Should this be in the /data side?

class AppState {
  bool _loggedIn = false;
  bool get loggedIn => _loggedIn;

  bool _splashing = true;
  bool get splashing => _splashing;

  //start singleton
  static final AppState _state = AppState._internal();

  factory AppState() {
    return _state;
  }

  AppState._internal();
  //end singleton

  void splashFinished() {
    _splashing = false;

    //print('splash finished');
  }

  void login() {
    _loggedIn = true;
    //print('login');
  }
}
