import 'package:app_state/app_state.dart';
import 'package:q/ui/splash/splash_screen.dart';
import 'package:q/ui/welcome/welcome_screen.dart';

class PageFactory {
  static AbstractPage? createPage(
    String factoryKey,
    Map<String, dynamic> state,
  ) {
    switch (factoryKey) {
      case SplashPage.classFactoryKey:
        return SplashPage();
      case WelcomePage.classFactoryKey:
        return WelcomePage();
    }

    return null;
  }
}
